Index: /trunk/test/testcompile.sh
===================================================================
--- /trunk/test/testcompile.sh	(revision 584)
+++ /trunk/test/testcompile.sh	(revision 1)
@@ -596,254 +219,137 @@
 	${TOP_SRCDIR}/configure --quiet --enable-network=server  --enable-srp --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test   --with-timeserver=127.0.0.1 > /dev/null 2>> test_log   
 	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-
-	#
-	# test client/server compilation w/prelude
-	#
-	TEST="${S}client/server application w/prelude${E}"
-	#
-	if [ -z "$doall" ]; then
-	    let "num = num + 1" >/dev/null
-	    [ -z "$quiet" ] && log_skip $num ${MAXTEST} "$TEST";
-	    let "num = num + 1" >/dev/null
-	    [ -z "$quiet" ] && log_skip $num ${MAXTEST} "$TEST (smatch)";
-
-	    let "num = num + 1" >/dev/null
-	    [ -z "$quiet" ] && log_skip $num ${MAXTEST} "$TEST";
-	    let "num = num + 1" >/dev/null
-	    [ -z "$quiet" ] && log_skip $num ${MAXTEST} "$TEST (smatch)";
-	else
-	    if test -r "Makefile"; then
-		$MAKE clean
-	    fi
-	    #
-	    ${TOP_SRCDIR}/configure --quiet --enable-network=client  --enable-srp --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test   --with-prelude > /dev/null 2>> test_log   
-	    #
-	    let "num = num + 1" >/dev/null
-	    testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	    let "num = num + 1" >/dev/null
-	    run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-	    
-	    if test -r "Makefile"; then
-		$MAKE clean
-	    fi
-	    #
-	    ${TOP_SRCDIR}/configure --quiet --enable-network=server  --enable-srp --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test   --with-prelude > /dev/null 2>> test_log   
-	    #
-	    let "num = num + 1" >/dev/null
-	    testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	    let "num = num + 1" >/dev/null
-	    run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-	    #
-	fi
+	testmake $?
+
+	#
+	# test c/s compilation w/ gpg
+	#
+	TEST="${S}client/server application w/gpg${E}"
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=server  --enable-srp --with-gpg=/usr/bin/gpg  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
+	#
+	testmake $?
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=client  --enable-srp --with-gpg=/usr/bin/gpg  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
+	#
+	testmake $?
+
 
 	#
 	# test client/server compilation
 	#
-	TEST="${S}client/server application static w/timeserver${E}"
-	#
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=client  --enable-static --enable-srp --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test   --with-timeserver=127.0.0.1 ${C_LOGFILE} > /dev/null 2>> test_log   
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-	
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=server  --enable-static --enable-srp --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test   --with-timeserver=127.0.0.1 > /dev/null 2>> test_log   
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-	#
-	# test c/s compilation w/ gpg
-	#
-	TEST="${S}client/server application w/gpg${E}"
-	#
-	GPG=`find_path gpg`
-	let "num = num + 1" >/dev/null
-	#
-	if [ -z "$GPG" ]; then
-	    log_skip $num $MAXTEST 'gpg not in PATH'
-	    let "num = num + 1" >/dev/null
-	    log_skip $num $MAXTEST 'gpg not in PATH'
-	    let "num = num + 1" >/dev/null
-	    log_skip $num $MAXTEST 'gpg not in PATH'
-	    let "num = num + 1" >/dev/null
-	    log_skip $num $MAXTEST 'gpg not in PATH'
-	else
-	    if test -r "Makefile"; then
-		$MAKE clean
-	    fi
-	    #
-	    ${TOP_SRCDIR}/configure --quiet --enable-network=server  --enable-srp --with-gpg=$GPG  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
-	    #
-	    testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	    let "num = num + 1" >/dev/null
-	    run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-	    #
-	    if test -r "Makefile"; then
-		$MAKE clean
-	    fi
-	    #
-	    ${TOP_SRCDIR}/configure --quiet --enable-network=client  --enable-srp --with-gpg=$GPG  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test ${C_LOGFILE} > /dev/null 2>> test_log   
-	    #
-	    let "num = num + 1" >/dev/null
-	    testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	    let "num = num + 1" >/dev/null
-	    run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-	fi
-
+	TEST="${S}client/server application w/o srp${E}"
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=server --disable-srp --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
+	#
+	testmake $?
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=client --disable-srp --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
+	#
+	testmake $?
+
+	#
+	# test client/server compilation w/ debug
+	#
+	TEST="${S}client/server application w/debug${E}"
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=server --enable-debug --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
+	#
+	testmake $?
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=client --enable-debug --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
+	#
+	testmake $?
+
+	#
+	# test client/server compilation w/stealth
+	#
+	TEST="${S}client/server application w/stealth${E}"
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=server  --enable-srp --enable-stealth=128 --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  > /dev/null 2>> test_log  
+	#
+	testmake $?
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=client  --enable-srp --enable-stealth=128 --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  > /dev/null 2>> test_log  
+	#
+	testmake $?
+
+	#
+	# test  client/server compilation w/logwatch
+	#
+	TEST="${S}client/server application w/login-watch${E}"
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=server  --enable-srp --enable-login-watch --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  > /dev/null 2>> test_log  
+	#
+	testmake $?
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=client  --enable-srp --enable-login-watch --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  > /dev/null 2>> test_log  
+	#
+	testmake $?
 
 	#
 	# test client/server compilation
 	#
-	TEST="${S}client/server application w/o srp, w/udp${E}"
-	#
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=server --enable-udp --disable-srp --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-	#
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=client --disable-srp --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-
-	#
-	# test client/server compilation w/ debug
-	#
-	TEST="${S}client/server application w/debug${E}"
-	#
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=server --enable-debug --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num debug || let "numfail = numfail + 1"  >/dev/null
-	#
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=client --enable-debug --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test ${C_LOGFILE} > /dev/null 2>> test_log   
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num debug || let "numfail = numfail + 1"  >/dev/null
-
-	#
-	# test client/server compilation w/stealth
-	#
-	TEST="${S}client/server application w/stealth${E}"
-	#
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=server  --enable-srp --enable-stealth=128 --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  > /dev/null 2>> test_log  
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-	#
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=client  --enable-srp --enable-stealth=128 --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  > /dev/null 2>> test_log  
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-
-	#
-	# test  client/server compilation w/logwatch
-	#
-	TEST="${S}client/server application w/login-watch,udp,no_ipv6${E}"
-	#
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=server  --enable-udp --disable-ipv6 --enable-srp --enable-login-watch --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  > /dev/null 2>> test_log  
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-	#
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=client  --disable-ipv6 --enable-srp --enable-login-watch --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  > /dev/null 2>> test_log  
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
+	TEST="${S}client/server application w/o mail${E}"
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=server  --disable-mail --enable-srp --enable-stealth=128 --enable-debug --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
+	#
+	testmake $?
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-network=client  --disable-mail --enable-srp --enable-stealth=128 --enable-debug --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
+	#
+	testmake $?
 
 	#
 	# test client/server compilation
 	#
-	TEST="${S}client/server application w/o mail${E}"
-	#
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=server  --disable-mail --enable-srp --enable-stealth=128 --enable-debug --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num debug || let "numfail = numfail + 1"  >/dev/null
-	#
-	if test -r "Makefile"; then
-		$MAKE clean
-	fi
-	#
-	${TOP_SRCDIR}/configure --quiet --enable-network=client  --disable-mail --enable-srp --enable-stealth=128 --enable-debug --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
-	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num debug || let "numfail = numfail + 1"  >/dev/null
-
-	#
-	# test client/server compilation
-	#
-	TEST="${S}client/server application w/o external${E}"
+	TEST="${S}client/server application w/o external scripts${E}"
 	#
 	if test -r "Makefile"; then
@@ -853,8 +359,5 @@
 	${TOP_SRCDIR}/configure --quiet --enable-network=server  --disable-srp --disable-external-scripts --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
 	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
+	testmake $?
 	#
 	if test -r "Makefile"; then
@@ -864,9 +367,14 @@
 	${TOP_SRCDIR}/configure --quiet --enable-network=client  --disable-srp --disable-external-scripts --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log   
 	#
-	let "num = num + 1" >/dev/null
-	testmake $? $num || let "numfail = numfail + 1" >/dev/null
-	let "num = num + 1" >/dev/null
-	run_clang $? $num || let "numfail = numfail + 1"  >/dev/null
-
-	log_end "COMPILE"
+	testmake $?
 }
+
+
+
+	testcompile
+
+
+# echo; echo "${S}__ END TEST COMPILE __${E}"; echo;
+
+exit
+
Index: /trunk/test/testext.sh
===================================================================
--- /trunk/test/testext.sh	(revision 584)
+++ /trunk/test/testext.sh	(revision 1)
@@ -1,89 +1,102 @@
 #! /bin/sh
 
-#
-# Copyright Rainer Wichmann (2006)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
-MAXTEST=2; export MAXTEST
+# The following two are the ANSI sequences for start and end embolden
+case $TERM in
+vt*|ansi*|con*|xterm*|linux*|screen*)
+  S=[1m
+  E=[m
+  ;;
+*)
+  S=
+  E=
+  ;;
+esac
+
+PW_DIR=`pwd`
+
+if test x$UID != x; then
+  TRUST="--with-trusted=0,2,$UID"
+else
+  TRUST="--with-trusted=0,2"
+fi
+
+echo; echo "${S}__ STARTING TEST EXTERNAL PROGRAM __${E}"; echo;
+echo Working directory: $PW_DIR
+
+MAKE=`which gmake`
+if test "x$?" = x1 ; then
+    MAKE="make -s"
+else
+    MAKE=`which gmake | sed -e "s%\([a-z:]\) .*%\1%g"` 
+    if test "x$MAKE" = x; then
+	MAKE="make -s"
+    elif test "x$MAKE" = xno; then
+	MAKE="make -s"
+    else
+	if test "x$MAKE" = "xwhich:"; then
+		MAKE="make -s"
+	else
+		MAKE="gmake -s"
+		gmake -v >/dev/null 2>&1 || MAKE="make -s"
+	fi
+    fi
+fi
+
+COMP=`which gcc`
+if test "x$?" = x1 ; then
+    COMP="cc"
+else
+    COMP=`which gcc | sed -e "s%\([a-z:]\) .*%\1%g"` 
+    if test "x$COMP" = x; then
+	COMP="cc"
+    elif test "x$COMP" = xno; then
+	COMP="cc"
+    else
+	if test "x$COMP" = "xwhich:"; then
+		COMP="cc"
+	else
+		COMP="gcc"
+		gcc -v >/dev/null 2>&1 || COMP="gcc"
+	fi
+    fi
+fi
+echo MAKE is $MAKE
+echo COMP is $COMP
+echo
+
 
 testext0 ()
 {
-        COMP=`which gcc`
-	if test "x$?" = x1 ; then
-	    COMP="cc"
-	else
-	    COMP=`which gcc | sed -e "s%\([a-z:]\) .*%\1%g"` 
-	    if test "x$COMP" = x; then
-		COMP="cc"
-	    elif test "x$COMP" = xno; then
-		COMP="cc"
-	    else
-	    if test "x$COMP" = "xwhich:"; then
-		COMP="cc"
-	    else
-		COMP="gcc"
-		gcc -v >/dev/null 2>&1 || COMP="gcc"
-	    fi
-	    fi
-	fi
-	log_start "EXTERNAL PROGRAM"
-	[ -z "$verbose" ] || echo MAKE is $MAKE
-	[ -z "$verbose" ] || { echo COMP is $COMP; echo; }
 	#
 	# standalone compilation
 	#
-	[ -z "$verbose" ] || { echo; echo "${S}Building standalone agent${E}"; echo; }
+	echo "${S}Building standalone agent${E}"; echo;
 	#
 	if test -r "Makefile"; then
-	    ${MAKE} distclean >/dev/null
+		${MAKE} distclean
 	fi
 	#
-	${TOP_SRCDIR}/configure --quiet --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/testrc_1ext --with-log-file=$LOGFILE --with-pid-file=$PW_DIR/.samhain_lock --with-data-file=$PW_DIR/.samhain_file 
+	${TOP_SRCDIR}/configure --quiet --enable-debug --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/testrc_1ext --with-log-file=$PW_DIR/.samhain_log --with-pid-file=$PW_DIR/.samhain_lock --with-data-file=$PW_DIR/.samhain_file 
 	#
 	if test x$? = x0; then
-	    [ -z "$verbose" ] ||     log_msg_ok "configure..."; 
-	    $MAKE  >/dev/null 2>>test_log
-	    if test x$? = x0; then
-		[ -z "$verbose" ] || log_msg_ok "make..."; 
-	    else
-		[ -z "$quiet" ] &&   log_msg_fail "make..."; 
-		return 1
-	    fi
-	    
+		echo "configure completed, exit status 0"; echo;
+		${MAKE}  > /dev/null
+		echo "${MAKE} completed, exit status $?"; echo;
 	else
-	    [ -z "$quiet" ] &&       log_msg_fail "configure...";
-	    return 1
+		echo "ERROR: configure failed"; echo;
 	fi
-	#
+
 	# prepare the program
 	#
 	cat test/test_ext.c.in | sed -e "s%MYPWDIR%$PW_DIR/test_ext.res%g" > test_ext.c
-    
+	
 	${COMP} -o test_ext test_ext.c 
 	if test "x$?" != x0; then
-	    log_msg_fail "${COMP} -o test_ext test_ext.c"
-	    return 1
+	    echo "FAIL: ${COMP} -o test_ext test_ext.c"
+	    exit 1
 	fi
-	chmod +rx  test_ext
-	if test "x$?" != x0; then
-	    log_msg_fail "chmod +rx  test_ext"
-	    return 1
-	fi
-    
+	chmod +rx  $PW_DIR/test_ext
+
 	# compute checksum and fix config file
 	#
@@ -93,71 +106,32 @@
 	echo "SetType=log"                  >> testrc_1ext
 	echo "SetChecksum=$CHKSUM"          >> testrc_1ext
-	echo "SetEnviron=TZ=Europe/Berlin"  >> testrc_1ext
 	echo "SetFilterOr=ALERT"            >> testrc_1ext
-	echo "CloseCommand"                 >> testrc_1ext
-	echo "OpenCommand=$PW_DIR/test_ext" >> testrc_1ext
-	echo "SetType=log"                  >> testrc_1ext
-	echo "SetChecksum=$CHKSUM"          >> testrc_1ext
-	echo "SetFilterOr=ALERT"            >> testrc_1ext
-	echo "CloseCommand"                 >> testrc_1ext
-    
-	rm -f $PW_DIR/test_ext.res
-	rm -f $PW_DIR/pdbg.child
-	rm -f $PW_DIR/pdbg.main
-	./samhain -p none
-    
-	# The shell is too fast ...
-	one_sec_sleep
-	[ -z "$verbose" ] || { 
-	    echo; 
-	    echo "${S}Logged by external C program test_ext (filtered: ALERT only):${E}"; 
-	    echo;
-	    cat $PW_DIR/test_ext.res
-	    echo
-	}
-
-	tmp=`cat $PW_DIR/test_ext.res | wc -l`
-	if [ $tmp -eq 8 ]; then
-	    tmp=`egrep 'RECV: \[EOF\]' $PW_DIR/test_ext.res | wc -l`
-	    if [ $tmp -eq 4 ]; then
-		tmp=`egrep 'RECV: ALERT' $PW_DIR/test_ext.res | wc -l`
-		if [ $tmp -eq 4 ]; then
-		    log_ok 1 ${MAXTEST};
-		else
-		    log_fail 1 ${MAXTEST};
-		fi
-	    else
-		log_fail 1 ${MAXTEST};
-	    fi
-	else
-	    log_fail 1 ${MAXTEST};
-	fi
-
-	ORIGINAL="SetChecksum=${CHKSUM}"
-	REPLACEMENT="SetChecksum=DEADBEEFDEADBEEFDEADBEEFDEADBEEFDEADBEEFDEADBEEF"
-
-	ex -s "$PW_DIR/testrc_1ext" <<EOF
-%s/$ORIGINAL/$REPLACEMENT/g
-wq
-EOF
 
 	rm -f $PW_DIR/test_ext.res
 	rm -f $PW_DIR/pdbg.child
 	rm -f $PW_DIR/pdbg.main
-	./samhain -p none
-    
-	one_sec_sleep
-
-	if [ -f $PW_DIR/test_ext.res ]; then
-	    log_fail 2 ${MAXTEST};
-	else
-	    log_ok   2 ${MAXTEST};
-	fi
+	./samhain 
+	
+	# The shell is too fast ...
+ 	sleep 1
+	echo; 
+	echo "${S}Logged by external C program test_ext (filtered: ALERT only):${E}"; 
+	echo;
+	cat $PW_DIR/test_ext.res
+	echo;
 
 	rm -f $PW_DIR/.samhain_file
-	rm -f $LOGFILE
+	rm -f $PW_DIR/.samhain_log
 	rm -f $PW_DIR/.samhain_lock
-
-	log_end "EXTERNAL PROGRAM"
+	
 }
 
+
+
+	testext0
+
+
+echo; echo "${S}__ END TEST EXTERNAL PROGRAM __${E}"; echo;
+
+exit
+
Index: /trunk/test/testhash.sh
===================================================================
--- /trunk/test/testhash.sh	(revision 584)
+++ /trunk/test/testhash.sh	(revision 1)
@@ -1,57 +1,51 @@
 #! /bin/sh
 
-#
-# Copyright Rainer Wichmann (2006)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
-RCFILE="$PW_DIR/testrc_1.dyn";  export RCFILE
-LOGFILE="$PW_DIR/.samhain_log"; export LOGFILE
+# The following two are the ANSI sequences for start and end embolden
+case $TERM in
+vt*|ansi*|con*|xterm*|linux*|screen*)
+  S=[1m
+  E=[m
+  ;;
+*)
+  S=
+  E=
+  ;;
+esac
 
-MAXTEST=2; export MAXTEST
+PW_DIR=`pwd`
+
+if test x$UID != x; then
+  TRUST="--with-trusted=0,2,$UID"
+else
+  TRUST="--with-trusted=0,2"
+fi
+
+#echo; echo "${S}__ STARTING TEST HASH FUNCTION __${E}"; echo;
+#echo Working directory: $PW_DIR
+
+MAKE=`which gmake`
+if test "x$?" = x1 ; then
+    MAKE="make -s"
+else
+    MAKE=`which gmake | sed -e "s%\([a-z:]\) .*%\1%g"` 
+    if test "x$MAKE" = x; then
+	MAKE="make -s"
+    elif test "x$MAKE" = xno; then
+	MAKE="make -s"
+    else
+	if test "x$MAKE" = "xwhich:"; then
+		MAKE="make -s"
+	else
+		MAKE="gmake -s"
+		gmake -v >/dev/null 2>&1 || MAKE="make -s"
+	fi
+    fi
+fi
+
+
 
 testhash ()
 {
-	log_start "HASH FUNCTION"
-
-	C_LOGFILE=""
-
-	ls /lib/libpcre* >/dev/null 2>&1
-	if [ $? -eq 0 ]; then
-	    C_LOGFILE=" --enable-logfile-monitor "
-	else
-	    ls /usr/lib/libpcre* >/dev/null 2>&1
-	    if [ $? -eq 0 ]; then
-		C_LOGFILE=" --enable-logfile-monitor "
-	    else
-                ls /usr/lib/*/libpcre* >/dev/null 2>&1
-                if [ $? -eq 0 ]; then
-                    C_LOGFILE=" --enable-logfile-monitor "
-                else
-                    ls /usr/local/lib/libpcre* >/dev/null 2>&1
-                    if [ $? -eq 0 ]; then
-                        C_LOGFILE=" --enable-logfile-monitor "
-                    fi
-                fi
-	    fi
-	fi
-	if [ x"${C_LOGFILE}" = x ]; then
-	    log_msg_ok  "Not testing  --enable-logfile-monitor";
-	fi
-
 	#
 	# test standalone compilation
@@ -63,27 +57,18 @@
 	fi
 	#
-	${TOP_SRCDIR}/configure --enable-debug=gdb --quiet $TRUST --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$RCFILE --with-log-file=$LOGFILE --with-pid-file=$PW_DIR/.samhain_lock --with-data-file=$PW_DIR/.samhain_file --enable-db-reload '--enable-login-watch' '--enable-mounts-check' ${C_LOGFILE} '--enable-port-check' '--enable-process-check' '--enable-message-queue' '--enable-suidcheck' '--disable-dnmalloc'
-	#
-	fail=0
+	${TOP_SRCDIR}/configure --quiet  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test  > /dev/null 2>> test_log  
 	#
 	if test x$? = x0; then
-		[ -z "$verbose" ] || log_msg_ok  "configure...";
+		echo "PASS: configure ${TEST}"; 
 		$MAKE  > /dev/null 2>> test_log
 		if test x$? = x0; then
-		    [ -z "$verbose" ] || log_msg_ok "make...";
+		    echo "PASS: $MAKE  ${TEST}";
  		else
-		    [ -z "$quiet" ] &&   log_msg_fail "make...";
-		    fail=1
+		    echo "FAIL: $MAKE  ${TEST} (see ./test_log)";
 		fi
 	else
-		[ -z "$quiet" ] && log_msg_fail "configure...";
-		fail=1
+		echo "FAIL: configure  ${TEST} (see ./test_log)"; 
 	fi
-	#
-	if [ $fail -eq 1 ]; then
-	    [ -z "$quiet" ] && log_fail 1 ${MAXTEST};
-	    return 1
-	fi
-	#
+
 	echo "Test results of the TIGER hash algorithm" > testhash.tmp
 	echo >> testhash.tmp
@@ -99,37 +84,23 @@
 	./samhain -H "Tiger - A Fast New Hash Function, by Ross Anderson and Eli Biham, proceedings of Fast Software Encryption 3, Cambridge, 1996." >> testhash.tmp
 	./samhain -H "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+-ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+-" >> testhash.tmp
-	#
-	RESU=`diff testhash.tmp ${SCRIPTDIR}/testtiger.txt 2>/dev/null`
+
+	# echo
+	# echo "${S}diff testhash.tmp testtiger.txt (empty == success):${E}" 
+	# echo
+	RESU=`diff testhash.tmp ${SCRIPTDIR}/testtiger.txt`
 	if test "x${RESU}" = "x"; then
-	    [ -z "$quiet" ] && log_ok   1 ${MAXTEST};
+	    echo "PASS: test_hash"
 	else
-	    [ -z "$quiet" ] && log_fail 1 ${MAXTEST};
-	    return 1
+	    echo "FAIL: test_hash"
 	fi
-        #
-        #
-        #
-        TEST="${S}files${E}"
-        #
-        case $SCRIPTDIR in
-            /*)
-                testpath="${SCRIPTDIR}/testtiger.txt";;
-            *)
-                testpath="`pwd`/${SCRIPTDIR}/testtiger.txt";;
-        esac
-        #
-        RESU=`./samhain -H ${testpath}`
-        #
-        if test x"$RESU" = x"${testpath}: 8125E439 4E7E20F9 24FD8E37  BC4D90C7 FC67F40C 1681F05D"; then
-            [ -z "$quiet" ] && log_ok   2 ${MAXTEST};
-        else
-            [ -z "$quiet" ] && log_fail 2 ${MAXTEST};
-            return 1
-        fi
-        #
-	log_end "HASH FUNCTION"
-	return 0
 }
 
 
 
+	testhash
+
+
+#echo; echo "${S}__ END TEST HASH FUNCTION __${E}"; echo;
+
+exit
+
Index: /trunk/test/testrc_1
===================================================================
--- /trunk/test/testrc_1	(revision 584)
+++ /trunk/test/testrc_1	(revision 1)
@@ -35,5 +35,5 @@
 # for these files, only changes in permissions and ownership are checked
 #
-#file=/etc/mtab
+file=/etc/mtab
 #file=/etc/ssh_random_seed
 #file=/etc/asound.conf
@@ -79,5 +79,5 @@
 # dir=/usr/bin
 
-#dir=/usr/bin
+dir=/usr/bin
 #dir=/lib
 #dir=/usr/lib
@@ -89,54 +89,7 @@
 # dir=1/home/rainer
 
-[SuidCheck]
-SuidCheckActive=false
-#SuidCheckExclude=/home
-
-[ProcessCheck]
-#
-# Activate (default is on)
-#
-ProcessCheckActive = no
-	  
-[PortCheck]
-#
-# Activate (default is on)
-#
-PortCheckActive = no
-
-
-[Logmon]
-	  
-#
-# Switch on the module
-#
-LogmonActive = yes
-
-# Check every second
-#
-LogmonInterval = 1
-
-# Strip PIDs from syslog messages
-#
-Logmonhidepid = true
-
-# Define a queue with severity 'crit'.
-# This is a 'report' queue, hence 'interval' (10)
-# will be ignored.
-#
-LogmonQueue = q1:10:report:crit
-
-# Monitor disks to check for full /dev/sda1
-#
-LogmonWatch = SHELL:df -h
-
-# Warn about disk /dev/sda1 nearly full (80% or more. Use a 
-# non-capturing subexpression [the (?:8|9)] for the percentage full.
-#
-LogmonRule = q1:/dev/nvme1n1p4\s+[0-9GM.]+\s+[0-9GM.]+\s+[0-9GM.]+\s+(?:8|9).%.*
-
-LogmonDeadtime = 120
-LogmonRule = trash:.*
-
+#[SuidCheck]
+#SuidCheckActive=T
+# SuidCheckExclude=/net/localhost
 
 [EventSeverity]
@@ -192,5 +145,5 @@
 # Restrict to certain classes of messages
 # MailClass = RUN
-#PreludeSeverity = err
+PreludeSeverity = err
 
 # Which system calls to log (execve, utime, unlink, dup, chdir, open, kill,
@@ -208,19 +161,19 @@
 #KernelCheckInterval = 20
 
-#[Utmp]
+[Utmp]
 #
 # 0 to switch off, 1 to activate
 #
-#LoginCheckActive=1
+LoginCheckActive=1
 
 # Severity for logins, multiple logins, logouts
 # 
-#SeverityLogin=info
-#SeverityLoginMulti=warn
-#SeverityLogout=info
+SeverityLogin=info
+SeverityLoginMulti=warn
+SeverityLogout=info
 
 # interval for login/logout checks
 #
-#LoginCheckInterval=60
+LoginCheckInterval=60
 
 [Misc]
@@ -266,5 +219,5 @@
 # MailSubject=* body %H # %M
 
-#TrustedUser=uucp,fax,fnet
+TrustedUser=uucp,fax,fnet
 
 # Watch syslog port
Index: /trunk/test/testrc_2.in
===================================================================
--- /trunk/test/testrc_2.in	(revision 584)
+++ /trunk/test/testrc_2.in	(revision 1)
@@ -1,6 +1,2 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA1
-NotDashEscaped: You need GnuPG to verify this message
-
 #####################################################################
 #
@@ -32,21 +28,38 @@
 
 
+[Attributes]
+#
+# for these files, only changes in permissions and ownership are checked
+#
+file=/etc/mtab
+#file=/etc/ssh_random_seed
+#file=/etc/asound.conf
+#file=/etc/resolv.conf
+file=/etc/localtime
+#file=/etc/ioctl.save
+#file=/etc/passwd.backup
+#file=/etc/shadow.backup
+
+#
+# There are files in /etc that might change, thus changing the directory
+# timestamps. Put it here as 'file', and in the ReadOnly section as 'dir'.
+#
+file=/etc
+
+
+[GrowingLogFiles]
+#
+# for these files, changes in signature, timestamps, and increase in size
+#                  are ignored 
+#
+file=/var/log/messages
+
+
 [ReadOnly]
 #
 # for these files, only access time is ignored
 #
-# dir=/usr/bin
-# dir=/bin
-
-file = /var
-file = /bin
-file = /usr
-file = /tmp
-file = /etc
-
-# hopefully does not exist
-file=/etc/toodleedoo
-
-dir=1/usr
+dir=/usr/bin
+#dir=/bin
 
 [EventSeverity]
@@ -99,5 +112,5 @@
 SyslogSeverity=none
 ExportSeverity=none
-DatabaseSeverity=none
+DatabaseSeverity=info
 
 #databaseseverity=info
@@ -110,5 +123,5 @@
 #AddToDBHash=log_msg
 # AddToDBHash=log_host
-UsePersistent = True
+
 
 [Utmp]
@@ -133,14 +146,11 @@
 Daemon=no
 
-SetOutgoingIP = 127.0.0.1
-SetServerInterface = 127.0.0.1
-
-UseSeparateLogs=no
+SetOutgoingIP=127.0.0.1
+
+UseSeparateLogs=yes
 
 SetUseSocket = yes
-SetSocketAllowUid=0
-SetSocketPassword=samhain
-
-SetClientFromAccept = yes
+
+#SetClientFromAccept = yes
 
 SetUdpActive=no
@@ -196,5 +206,5 @@
 
 # timer for time stamps
-SetLoopTime=10
+SetLoopTime=30
 
 # trusted users (root and the effective user are always trusted)
@@ -208,9 +218,2 @@
 
 [Clients]
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v1
-
-iEYEARECAAYFAlUTGCcACgkQGq0myA9XH2zINACfQb/Wfa19OBbHVkw9uBNMB+lF
-cwUAnR0Geb+sFDcv7JsrrTjY8htjPHd2
-=7wXO
------END PGP SIGNATURE-----
